Bug 227047 - Review Request: classworlds-1.1-0.a2.2jpp - Classworlds Classloader Framework
Review Request: classworlds-1.1-0.a2.2jpp - Classworlds Classloader Framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nuno Santos
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 12:32 EST by Rafael H. Schloming
Modified: 2014-12-01 18:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-12 11:25:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dbhole: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2007-02-02 12:32:09 EST
Spec URL: http://people.redhat.com/rafaels/specs/classworlds-1.1-0.a2.2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/classworlds-1.1-0.a2.2jpp.src.rpm
Description: Classworlds is a framework for container developers
who require complex manipulation of Java's ClassLoaders.
Java's native ClassLoader mechanims and classes can cause
much headache and confusion for certain types of
application developers. Projects which involve dynamic
loading of components or otherwise represent a 'container'
can benefit from the classloading control provided by
classworlds.

Javadoc for classworlds.

Docs for classworlds.
Comment 1 Andrew Overholt 2007-02-15 18:15:40 EST
Updated spec and SRPM (move to 1.1 final):

http://overholt.ca/fedora/classworlds.spec
http://overholt.ca/fedora/classworlds-1.1-1jpp.1.src.rpm
Comment 2 Deepak Bhole 2007-02-15 20:02:45 EST
MUST:
* package is named appropriately
 - match upstream tarball or project name
  OK

 - try to match previous incarnations in other distributions/packagers for
consistency
  OK

 - specfile should be %{name}.spec
  OK

 - non-numeric characters should only be used in Release (ie. cvs or
   something)
  OK

 - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
  OK

 - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
  OK 
 
* is it legal for Fedora to distribute this?
 - OSI-approved
  OK

 - not a kernel module
  OK

 - not shareware
  OK

 - is it covered by patents?
  OK

 - it *probably* shouldn't be an emulator
  OK

 - no binary firmware
  OK

* license field matches the actual license.
  OK

* license is open source-compatible.
 - use acronyms for licences where common
  OK

* specfile name matches %{name}
  OK

* verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
  md5s do not match, but contents do

* skim the summary and description for typos, etc.
  OK

* correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  OK

X * if %{?dist} is used, it should be in that form (note the ? and %
locations)
    release tag should have a %{?dist}

* license text included in package and marked with %doc
  OK

* keep old changelog entries; use judgement when removing (too old?
useless?)
  OK

* packages meets FHS (http://www.pathname.com/fhs/)
  OK

X * rpmlint on <this package>.srpm gives no output
  - justify warnings if you think they shouldn't be there
  Perhaps change group for javadoc to "Documentation".. ? I will not block on
this though

* changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.


* Packager tag should not be used
  OK

* Vendor tag should not be used
  OK

* Distribution tag should not be used
  OK

* use License and not Copyright 
  OK

* Summary tag should not end in a period
  OK

* if possible, replace PreReq with Requires(pre) and/or Requires(post)
  OK

* specfile is legible
 - this is largely subjective; use your judgement
  OK

* package successfully compiles and builds on at least x86
  OK

* BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which

  OK

* summary should be a short and concise description of the package
  OK

* description expands upon summary (don't include installation
instructions)
  OK

* make sure lines are <= 80 characters
  OK

* specfile written in American English
  OK

* make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
  OK

* packages including libraries should exclude static libraries if possible
  OK

* don't use rpath
  OK

* config files should usually be marked with %config(noreplace)
  OK

* GUI apps should contain .desktop files
  OK

* should the package contain a -devel sub-package?


* use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS
  OK

* don't use %makeinstall
  OK

* locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
  OK

* consider using cp -p to preserve timestamps
  OK

* split Requires(pre,post) into two separate lines
  OK

* package should probably not be relocatable
  OK

* package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
  OK

X * package should own all directories and files
  /usr/share/java is owned by jpackage-utils and it should be a requirement

* there should be no %files duplicates
  OK

* file permissions should be okay; %defattrs should be present
  OK

* %clean should be present
  Ok

* %doc files should not affect runtime
  OK

* if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
  OK

* verify the final provides and requires of the binary RPMs
  OK

* run rpmlint on the binary RPMs
  OK

SHOULD:
* package should include license text in the package and mark it with %doc
  OK

* package should build on i386
  OK

* package should build in mock
    
Comment 3 Andrew Overholt 2007-02-16 11:58:28 EST
Updated spec and SRPM:

http://overholt.ca/fedora/classworlds.spec
http://overholt.ca/fedora/classworlds-1.1-1jpp.1.src.rpm

(In reply to comment #2)
> X * if %{?dist} is used, it should be in that form (note the ? and %
> locations)
>     release tag should have a %{?dist}

Fixed.

> X * rpmlint on <this package>.srpm gives no output
>   - justify warnings if you think they shouldn't be there
>   Perhaps change group for javadoc to "Documentation".. ? I will not block on
> this though

Fixed.

> X * package should own all directories and files
>   /usr/share/java is owned by jpackage-utils and it should be a requirement

Fixed.
Comment 4 Deepak Bhole 2007-02-16 15:15:32 EST
APPROVED. Reassigning to component owner.
Comment 5 Nuno Santos 2007-02-21 16:12:20 EST
New Package CVS Request
=======================
Package Name: classworlds-1.1-0.a2.2jpp
Short Description: Classworlds Classloader Framework
Owners: nsantos@redhat.com
Branches: FC-7
InitialCC: rafaels@redhat.com,dbhole@redhat.com

Note You need to log in before you can comment on or make changes to this bug.